#!/usr/bin/env bash
set -e;

cd "$(dirname "$0")/..";
TARGET_DIR="$PWD/resources/systemd-root";
test -d "$TARGET_DIR" || mkdir "$TARGET_DIR";
docker run --rm -v "$TARGET_DIR:/out" -u 1000 archlinux sh -c 'tar -C / -Oc usr/lib/systemd usr/share/systemd var/lib/systemd etc/systemd | tar -C /out -xf-'
chmod a+rw -R "$TARGET_DIR";